Summary:      Library for manipulating RDF files describing LADSPA plugins
Name:         liblrdf
Version:      0.4.0
Release:      12%{?dist}
License:      GPL
Group:        System Environment/Libraries
URL:          http://lrdf.sourceforge.net/
Source0:      http://download.sourceforge.net/lrdf/liblrdf-0.4.0.tar.gz
Source1:      liblrdf-README.fedora
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig, ladspa-devel, raptor-devel
Requires:     ladspa

%description
liblrdf is a library to make it easy to manipulate RDF files describing
LADSPA plugins.

%package devel
Summary: Library for manipulating RDF files describing LADSPA plugins
Group: Development/Libraries
Requires: liblrdf = %{version}-%{release}
Requires: raptor-devel

%description devel
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. This package includes the development tools.

%prep
%setup -q
cp %{SOURCE1} README.fedora

%build
%configure --disable-static

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.fedora
%{_libdir}/liblrdf.so.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/liblrdf.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Oct 08 2007 Anthony Green <green@redhat.com> 0.4.0-12
- Don't %%exclude %%{_datadir}/ladspa/rdf/ladspa.rdfs
- Require ladspa to get directory ownerships right.

* Fri Jul 20 2007 Callum Lerwick <seg@haxxed.com> 0.4.0-11
- Bump to build on ppc64, bug #247583.

* Thu Oct 05 2006 Anthony Green <green@redhat.com> 0.4.0-10
- Delete .la file after installing it instead of using %%exclude.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.4.0-9
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.4.0-8
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 0.4.0-7.1
- Rebuild.

* Thu May 18 2006 Anthony Green <green@redhat.com> 0.4.0-7
- Don't install generic INSTALL documentation.

* Sat May 13 2006 Anthony Green <green@redhat.com> 0.4.0-6
- Exclude ladspa.rdfs.
- Don't use %{__rm} or %{__make} macros.
- Standardize on $RPM_BUILD_ROOT from %{buildroot}.

* Mon Apr 24 2006 Anthony Green <green@redhat.com> 0.4.0-5
- Clean up BuildRequires based on raptor mods.

* Sun Apr 23 2006 Anthony Green <green@redhat.com> 0.4.0-4
- Remove examples dir.  Add README.fedora.
- Configure with --disable-static.

* Sun Apr 23 2006 Anthony Green <green@redhat.com> 0.4.0-3
- Update URLs.
- Remove gcc-c++ from BuildRequires.
 
* Tue Apr 18 2006 Anthony Green <green@redhat.com> 0.4.0-2
- Minor tweaks.  Build for Fedora Extras.
 
* Wed Dec 22 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
* Fri Dec 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file tweaks
* Thu Apr 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.7-1
- updated to 0.3.7, added proper build requirements
* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.5-1
- updated to 0.3.5
* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.4-1
- updated to 0.3.4
* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.2-1
- updated to 0.3.2
* Tue May  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to 0.3.1
* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-1
- added ldconfig, pkgconfig file to devel file list
* Wed Feb 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-2
- added raptor-devel dependency to liblrdf-devel
* Fri Feb 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-1
- updated to 0.2.3
* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.2-1
- updated to 0.2.2
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- updated to 0.2.1
* Thu Jan  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.3-1
- Initial build, fix missing symbolic links to the shared library
